Retrieve real-time quotes
Returns market quotes for a set of instruments. Requires the `marketdata` scope. Available to individual investors. Supports EQUITY, OPTION, CRYPTO and INDEX instruments.
| Name | Type | Required | Description |
|---|---|---|---|
| accountId | string | Yes | - |
List of instruments to query quotes.
List of quotes
Invalid input: instrument not found or unsupported type (only EQUITY, OPTION or INDEX allowed), or the account is invalid or unauthorized.
No response body defined
{
"quotes": [
{
"instrument": {
"symbol": "string",
"type": "EQUITY"
},
"outcome": "SUCCESS",
"last": "string",
"lastTimestamp": "2023-11-07T05:31:56Z",
"bid": "string",
"bidSize": 123,
"bidTimestamp": "2023-11-07T05:31:56Z",
"ask": "string",
"askSize": 123,
"askTimestamp": "2023-11-07T05:31:56Z",
"volume": 1234567890,
"openInterest": 1234567890,
"previousClose": "string",
"oneDayChange": {
"change": "string",
"percentChange": "string"
},
"optionDetails": {
"greeks": {
"delta": "string",
"gamma": "string",
"theta": "string",
"vega": "string",
"rho": "string",
"impliedVolatility": "string"
},
"strikePrice": "string",
"midPrice": "string"
}
}
]
}